Subject: RE: [SIP] Problems with multi-proxy authentication

From: Robert Sparks <[email-masked]>
Date: Thu, 31 May 2001 14:29:29 -0400

> -----Original Message-----
> From: Christian Jansson [mailto:[email-masked]]
> Sent: Thursday, May 31, 2001 2:24 PM
> To: "Robert Sparks"
> Cc: [email-masked]; [email-masked]
> Subject: RE: [SIP] Problems with multi-proxy authentication
> 
> 
> 
> > > Another question is about the description of 
> > > Proxy-Authenticate.The last
> > > sentence states that: "The server responds with 401 
> > > (Unauthorized) if the
> > > client guessed wrong". And the description for WWW-Authenticate
> > > states
> > > that: "the WWW-Authenticate response-header MUST be included in 
> > > 401".
> > > But the handling of WWW-Authenticate seems to be totally 
> > > different as it is
> > > based on the To header while Proxy-Authenticate handling is 
> > > based on the
> > > Request-Uri. So how is a UAC supposed to handle this?
> > 
> > Where do you get the idea that WWW-Authenticate is based on a To:
> > header?
> 
> I got it from 10.48 WWW-Authenticate (bis-03). The second part states
> that: "A user agent SHOULD cache the authorization credentials for a
> given value of the destination (To header) and realm ...".

I'm not sure why that's there. It implies that I (the user) will have to
reenter my proxy credentials every time I call someone new. I don't think
that's what was intended. Jonathan?

RjS

_______________________________________________
This list is for continuing development of the SIP protocol.
The sip-implementor's list is the place to discuss implementation,
and to receive advice on understanding existing sip.
To subscribe to it, send mail to 
[email-masked] with "subscribe" in the body.